Subject: Re: bug#10040: 24.0.91; isearch.el - binding of user options

From: Stefan Monnier <[email-masked]>
Date: Tue, 22 Nov 2011 17:36:33 -0500

>>> 3. And yet you do it, so perhaps you would like to consider code where
>>> you do it as bugs.  Assuming that, let me help by pointing out that you
>>> do it in each of the Isearch help commands: isearch-help-for-help,
>>> isearch-describe-bindings, and isearch-describe-key.  The user options
>>> you let-bind are `same-window-names' and `same-window-regexps'.

Backward compatibility of the new display-buffer machinery is important,
so for Emacs-24.1 we should focus on making it work with "old code".
For Emacs-24.2 and later, we can switch to eliminating uses of obsolete
vars such as same-window-*.

        Stefan